/* 
 * File:   3310.h
 * Author: blaz
 *
 * Created on Ponedeljek, 28 oktober 2013, 22:54
 */

#ifndef PCD8544_H
#define	PCD8544_H

#ifdef	__cplusplus
extern "C" {
#endif

// define PIC <> LCD ports here
#define nok_sclk RB1	// nokia lcd sclk	pin 2
#define nok_sda RB2		// nokia lcd sda	pin 3
#define nok_dc 	RB3		// nokia lcd d/c	pin 4
#define nok_cs 	RB4		// nokia lcd cs		pin 5
#define nok_res RB5		// nokia lcd res	pin 8

//functions
void init_nokia(void);							// initialisation
void nokia_write_command(void);					// nokia lcd subroutines
void nokia_write_dorc(void);
void nokia_build_DDRAM(void);					//Build DDRAM
void nokia_write_data(void);					//write Data
void nokia_gotoxy(unsigned char,unsigned char);	// go to x,y on the LCD
void nokia_printchar(unsigned char c);					// print a char at the current position
void nokia_printmessage(const char*);	// print a string at the current position
void table_to_nokialcd(void);					// write from table to nokia lcd


#ifdef	__cplusplus
}
#endif

#endif	/* 3310_H */

